<template>
  <QRCodeVue3
    :width="width || 800"
    :height="width || 800"
    :value="value"
    :qrOptions="{ 
      typeNumber: 0, 
      mode: 'Byte', 
      errorCorrectionLevel: 'H' }"
    image="/img/icon_qr.svg"
    :imageOptions="{
      hideBackgroundDots: false,
      imageSize: 0.1,
    }"
    :dotsOptions="{
      type: 'rounded',
      color: '#6a1a4c',
      gradient: {
        type: 'radial',
        rotation: 0,
        colorStops: [
          { offset: 0, color: firstColor },
          { offset: 1, color: secondColor },
        ],
      },
    }"
    :backgroundOptions="{
      color: '#ffffff',
    }"
    :cornersSquareOptions="{
      type: 'extra-rounded',
      color: cornerColor,
    }"
    :cornersDotOptions="{
      color: cornerColor,
    }"
    myclass="my-qur"
    imgclass="img-qr"
  />
</template>

<script>
import QRCodeVue3 from "qrcode-vue3";

export default {
  components: {
    QRCodeVue3,
  },
  props: ["value", "width"],
  data() {
    return {
      firstColor: "#FFB300",
      secondColor: "#151515",
      cornerColor: "#151515",
    };
  },
};
</script>

<style lang="scss">

.img-qr {
  max-width: 100% !important;
  border-radius: 5%;
}

</style>
